---
title: Storage.removeItem()
slug: Web/API/Storage/removeItem
tags:
  - API
  - Method
  - Reference
  - Storage
  - Web Storage
---
<div>{{APIRef("Web Storage API")}}</div>

<p>The <strong><code>removeItem()</code></strong> method of the {{domxref("Storage")}} interface, when passed a key name, will remove that key from the given <code>Storage</code> object if it exists. The <strong><code>Storage</code></strong> interface of the <a href="/en-US/docs/Web/API/Web_Storage_API">Web Storage API</a> provides access to a particular domain's session or local storage.</p>

<p>If there is no item associated with the given key, this method will do nothing.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>storage</var>.removeItem(<var>keyName</var>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>keyName</var></code></dt>
 <dd>A {{domxref("DOMString")}} containing the name of the key you want to remove.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>{{jsxref("undefined")}}.</p>

<h2 id="Example">Example</h2>

<p>The following function creates three data items inside local storage, then removes the <code>image</code> data item.</p>

<pre class="brush: js notranslate">function populateStorage() {
  localStorage.setItem('bgcolor', 'red');
  localStorage.setItem('font', 'Helvetica');
  localStorage.setItem('image', 'myCat.png');

  localStorage.removeItem('image');
}</pre>

<p>We can do the same for the session storage.</p>

<pre class="brush: js notranslate">function populateStorage() {
  <code>sessionStorage</code>.setItem('bgcolor', 'red');
  <code>sessionStorage</code>.setItem('font', 'Helvetica');
  <code>sessionStorage</code>.setItem('image', 'myCat.png');

  <code>sessionStorage</code>.removeItem('image');
}</pre>

<div class="note">
<p><strong>Note</strong>: To see this used within a real world example, see our <a href="https://mdn.github.io/dom-examples/web-storage/">Web Storage Demo</a>.</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'webstorage.html#dom-storage-removeitem', 'Storage.removeItem')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Storage.removeItem")}}</p>

<h2 id="See_also">See also</h2>

<p><a href="/en-US/docs/Web/API/Web_Storage_API/Using_the_Web_Storage_API">Using the Web Storage API</a></p>
